Package org.mozilla.javascript

## Class LazyLoadSlot

- java.lang.Object
- - org.mozilla.javascript.Slot
  - - org.mozilla.javascript.LazyLoadSlot

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LazyLoadSlot
      extends Slot

  This is a specialization of Slot to store values that are retrieved via calls to script functions. It's used to load built-in objects more efficiently.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getValue​(Scriptable start)` |

    - ### Methods inherited from class org.mozilla.javascript.Slot

      `setValue, setValue, throwNoSetterException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getValue

          public java.lang.Object getValue​(Scriptable start)

      Overrides:
        `getValue` in class `Slot`